#ifndef _COMMON_H_
#define _COMMON_H_

#include "cuda.h"
#include "cuda_runtime_api.h"

#define ASSERT_FAIL 0
#define ASSERT_SUCCESS 1
#define GPU_NAME_LENGTH 30
#define PAGE_SIZE 4096
#define GPU_PAGE 65536

void assert_cuda(cudaError_t err_id); /* for runtime api*/
void assert_cu(CUresult res_id); /* for driver api */
void assert_gdr(int gdr_id);
void init_to_send(const void* dataPtr,size_t nb_bytes);

#endif
